Add release to collection
Add a release to a folder of your collection.
POST https://cotlet.dev/api/v1/discogs/releases/{release_id}/collections
write
Adds the release to your collection and returns the new item. It reaches no one and you can remove the item again, so it asks for no confirmation. A collection item is added from a release, not from a master page.
Parameters
| Name | Type | Description |
|---|---|---|
| release_id integer required | integer | Release ID from search_releases. The number in discogs.com/release/{id}. |
| folder string | string | Folder name. Leave out for the default folder. |
Request
curl -X POST https://cotlet.dev/api/v1/discogs/releases/1/collections \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("discogs", "add_to_collection", {"release_id":1}) const result = await cotlet.call('discogs', 'add_to_collection', {"release_id":1}); cotlet call discogs add_to_collection --data '{"release_id":1}' Example response
{
"release_id": 4417820,
"folder": "Uncategorized",
"added": true
}